Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Alarm Operations

GetZWatchAlertHistogram

GetZWatchAlertHistogram

GET/zstack/v1/zwatch/alert-histories/histogram

Operation ID

GetZWatchAlertHistogram

Since

4.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • tableName
    StringRequired

    The message type.

  • startTime
    LongRequired

    The start time.

  • endTime
    LongRequired

    The end time.

  • intervalHours
    StringRequired

    The interval (hour).

  • groupColumns
    List

    Optional. The group attributes.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • histograms
    ListRequired

    The histograms.

  • time
    longRequired

    The time.

  • count
    longRequired

    The count.

  • tags
    ListRequired

    See tags.

  • name
    StringRequired

    The tag name.

  • value
    StringRequired

    The tag value.

  • Change Time

    AddedResponse fields count, name, tags...
    View API